#! /bin/bash 
### BEGIN INIT INFO
# Provides:          sysgrep
# Required-Start:    $local_fs $remote_fs $network $syslog
# Required-Stop:     $local_fs $remote_fs $network $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Sysgrep startup script

# Description:       Starts and stops the sysgrep script
### END INIT INFO

# Author: James Bensley

# Syslog file
LOGFILE="/var/log/network.log"
# Line Count
LINES=`grep -c "" $LOGFILE`
# Path to sysgrep
SCRIPTCMD="/opt/sysgrep/sysgrep.sh /var/log/network.log $LINES"
# PID file
PIDFILE="/var/run/sysgrep.pid"

#
# Function that starts the daemon/service
#
do_start()
{
  /usr/bin/sudo /bin/bash -c "$SCRIPTCMD" &
  echo $! > $PIDFILE
}

#
# Function that stops the daemon/service
#
do_stop()
{
  if [ -f $PIDFILE ]
  then
    kill `cat $PIDFILE`
    rm $PIDFILE
  fi
}

do_status()
{
  ps aux | grep sysgrep.sh
}

case "$1" in
  start)
	echo "Starting Sysgrep"
	do_start
        if [ $? -gt 0 ] ; then
          echo "Failed to start"
        fi
	;;
  stop)
	echo "Stopping Sysgrep"
	do_stop
	if [ $? -gt 0 ] ; then
          echo "Failed to stop"
        fi
	;;
  status)
        do_status
       ;;
  restart)
        do_status
	do_stop
        do_start
        do_status
	;;
  *)
	echo "Usage: $SCRIPTNAME {start|stop|status|restart|}" >&2
	exit 3
	;;
esac
